Bug 511077 - PM icon does not show remaining time
PM icon does not show remaining time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 11:14 EDT by Michael Monreal
Modified: 2012-08-16 18:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2009-07-13 11:14:52 EDT
The PM icon correclty shows up when I run my laptop with a battery inserted. It also correctly shows the fill percentage if not connected to AC, but not the estimated remaining time. IIRC this used to work at some point.

Here's some information about the battery:

$ cat /proc/acpi/battery/BAT1/state 
present:                 yes
capacity state:          ok
charging state:          discharging
present rate:            0 mA
remaining capacity:      5049 mAh
present voltage:         11100 mV

$ cat /proc/acpi/battery/BAT1/info 
present:                 yes
design capacity:         5100 mAh
last full capacity:      5100 mAh
battery technology:      rechargeable
design voltage:          11100 mV
design capacity warning: 420 mAh
design capacity low:     156 mAh
capacity granularity 1:  264 mAh
capacity granularity 2:  3780 mAh
model number:            PA3465U 
serial number:           3658Q
battery type:            Li-Ion
OEM info:                COMPAL
Comment 1 Richard Hughes 2009-07-13 17:16:40 EDT
(In reply to comment #0)
> charging state:          discharging
> present rate:            0 mA

Is the rate always zero?
Comment 2 Michael Monreal 2009-07-14 03:14:02 EDT
(In reply to comment #1)
> Is the rate always zero?  

Hmm... seems to be.

"remaining capacity" on the other hand seems to display the correct value.
Comment 3 Michael Monreal 2009-08-10 13:31:39 EDT
Just found your bug report¹ concerning the N100 laptop which seems to have the same "0 mA" problem. I was sure that this used to work so I tried an old live CD from Fedora 9. At first it does not show the estimated time to charge/discharge but after some minutes it does:

---
Computer is running on battery power
Laptop battery 2 hours 55 minutes remaining (77%)
Battery dischange time is currently unknown
---

Now my guess would be that you implemented some workaround for this (in HAL?) which is no longer working/available after the move to DeviceKit-power? 


[1] http://bugzilla.kernel.org/show_bug.cgi?id=7263
Comment 4 Michael Monreal 2009-08-10 15:05:51 EDT
I have now verified that

- Fedora  9 Live CD => works (see comment 3)
- Fedora 10 Live CD => works (same)
- Fedora 11 Live CD => does NOT work

F11 was the first one to use DeviceKit-power
Comment 5 Richard Hughes 2009-08-20 08:08:25 EDT
Indeed, we need to enable the time guestimation for this case in DeviceKit-power.
Comment 6 Bug Zapper 2009-11-16 05:48:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Ben Konrath 2009-11-16 18:37:49 EST
I think I'm hitting this one as well. I do not get time remaining information for charging or discharging. Here is my battery info:

% cat /proc/acpi/battery/BAT0/state 
present:                 yes
capacity state:          ok
charging state:          charging
present rate:            0 mA
remaining capacity:      1584 mAh
present voltage:         11991 mV

% cat /proc/acpi/battery/BAT0/info 
present:                 yes
design capacity:         4400 mAh
last full capacity:      3637 mAh
battery technology:      rechargeable
design voltage:          10800 mV
design capacity warning: 182 mAh
design capacity low:     110 mAh
capacity granularity 1:  264 mAh
capacity granularity 2:  3780 mAh
model number:            Primary
serial number:           
battery type:            Lion
OEM info:                Hewlett-Packard
Comment 8 Bug Zapper 2010-11-04 06:48:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Michael Monreal 2010-11-04 07:00:43 EDT
Richard, seems like the "time guestimation" you speak of in comment 5 is still not enabled in DK-p?
Comment 10 Richard Hughes 2010-11-04 07:43:31 EDT
No, I need someone to help debug it and test it before it's enabled. At the moment I'm really busy with RHEL and GNOME3 work, so I would appreciate any help.
Comment 11 Michael Monreal 2010-11-28 06:40:05 EST
I just set up a GNOME3 installation on F14 using the official JHBuild module and noticed that its PM integration actually shows "0 minutes remaining    38%", so fixing this needs to be a higher priority now or this will look very broken in F15/GNOME3
Comment 12 Fedora End Of Life 2012-08-16 18:14:09 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.